library Test;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  SysUtils,
  Classes,
  Dialogs,
  Forms;

{$R *.RES}
function D_NAME:PChar;export;
Begin
Result:=PChar('Test plugin');
End;

function D_ENG:PChar;export;
Begin
Result:=PChar('This is a test plugin. You can find the source of this plugin into HidePro\Plugins directory.');
End;

function D_ROM:PChar;export;
Begin
Result:=PChar('Acesta este un plugin de test. Puteti gasi sursele acestui plugin in directorul HidePro\Plugins');
End;

procedure D_EXEC(App:TApplication;Lang:Byte);export;
Begin
case Lang of
        0:ShowMessage('This is a working Plugin!');
        1:ShowMessage('Acest Plugin functioneaza!');
End;
End;

exports
 D_NAME index 1,
 D_ENG index 2,
 D_ROM index 3,
 D_EXEC index 4;
begin
end.
